Subject: Re: Apply d799769188529abc6cbf035a10087a51f7832b6b to 5.17 and 5.15?

From: Michael Ellerman <[email-masked]>
Date: Thu, 21 Apr 2022 17:46:52 +1000

Nathan Chancellor <[email-masked]> writes:
> Hi Greg, Sasha, and Michael,
>
> Commit d79976918852 ("powerpc/64: Add UADDR64 relocation support") fixes
> a boot failure with CONFIG_RELOCATABLE=y kernels linked with recent
> versions of ld.lld [1]. Additionally, it resolves a separate boot
> failure that Paul Menzel reported [2] with ld.lld 13.0.0. Is this a
> reasonable backport for 5.17 and 5.15? It applies cleanly, resolves both
> problems, and does not appear to cause any other issues in my testing
> for both trees but I was curious what Michael's opinion was, as I am far
> from a PowerPC expert.
>
> This change does apply cleanly to 5.10 (I did not try earlier branches)
> but there are other changes needed for ld.lld to link CONFIG_RELOCATABLE
> kernels in that branch so to avoid any regressions, I think it is safe
> to just focus on 5.15 and 5.17.

I considered tagging it for stable, but I wanted it to get a bit of
testing first, it's a reasonably big patch.

I think we're reasonably confident it doesn't introduce any new bugs,
but more testing time is always good.

So I guess I'd be inclined to wait another week or so before requesting
a stable backport?

cheers